Name:           perl-Alien-Font-Uni
Version:        0.3
Release:        1%{?dist}
Summary:        Access to Unifont truetype file
# lib/Alien/Font/Uni.pm:    GPL-1.0-or-later OR Artistic-1.0-Perl (OFL-1.1
#                           refers to font files)
# LICENSE:      GPL-1.0-or-later OR Artistic-1.0-Perl
# README:       GPL-1.0-or-later OR Artistic-1.0-Perl
## Not used and not in any binary package
# dist.ini:     GPL-1.0-or-later OR Artistic-1.0-Perl
## Unbundled
# share/OFL1.1.txt:             OFL-1.1 license text
# share/unifont-15.0.01.ttf:    OFL-1.1 OR GPL-2.0-or-later WITH Font-exception-2.0
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Alien-Font-Uni
Source0:        https://cpan.metacpan.org/authors/id/L/LI/LICHTKIND/Alien-Font-Uni-%{version}.tar.gz
# Use a system font, not suitable for an upstream
Patch0:         Alien-Font-Uni-0.3-Use-system-font.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  font(unifont)
BuildRequires:  perl(version) >= 0.77
# Tests:
BuildRequires:  perl(Test::More) >= 1.3
Requires:       font(unifont)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test::More\\)$

%description
This module was created as an optional dependency of Chart to have access to
a Unicode-complete scaleable font file. Thus only the Unifont TTF file is
provided since this is what GD can read.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(Test::More) >= 1.3

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -p1 -n Alien-Font-Uni-%{version}
# Prune bundled font; MANIFEST edited with a patch.
rm -r share
# Correct permissions
chmod +x t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%dir %{perl_vendorlib}/Alien
%dir %{perl_vendorlib}/Alien/Font
%{perl_vendorlib}/Alien/Font/Uni.pm
%{_mandir}/man3/Alien::Font::Uni.*

%files tests
%{_libexecdir}/%{name}

%changelog
* Thu Dec 01 2022 Petr Pisar <ppisar@redhat.com> 0.3-1
- Specfile autogenerated by cpanspec 1.78.
